## visad
Class UnitException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              visad.VisADException
                  visad.UnitException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  UnitExistsException

public class UnitException
extends VisADException

A class for exceptions in the units package.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`UnitException()` Create an exception with no detail message.
`UnitException(String msg)` Create an exception with a detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnitException

    public UnitException()

  Create an exception with no detail message.

### UnitException

    public UnitException(String msg)

  Create an exception with a detail message.